Update sensitive trace endpoint
curl --request PATCH \
--url https://api.prequel.co/sensitive-trace-endpoints/{endpoint_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"sensitive_trace_endpoint": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"header_template": "<string>",
"secret": "<string>",
"body_template": "<string>"
}
}
'import requests
url = "https://api.prequel.co/sensitive-trace-endpoints/{endpoint_id}"
payload = { "sensitive_trace_endpoint": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"header_template": "<string>",
"secret": "<string>",
"body_template": "<string>"
} }
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sensitive_trace_endpoint: {
name: '<string>',
description: '<string>',
url: '<string>',
header_template: '<string>',
secret: '<string>',
body_template: '<string>'
}
})
};
fetch('https://api.prequel.co/sensitive-trace-endpoints/{endpoint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"sensitive_trace_endpoint": {
"id": "<string>",
"name": "<string>",
"url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"header_template": "<string>",
"body_template": "<string>"
}
},
"message": "<string>"
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}{
"status": "<string>",
"message": "<string>",
"data": null
}Sensitive Trace Endpoints
Update sensitive trace endpoint
Update an existing sensitive trace endpoint.
PATCH
/
sensitive-trace-endpoints
/
{endpoint_id}
Update sensitive trace endpoint
Authorizations
Path Parameters
Sensitive trace endpoint ID.
Body
application/json
Show child attributes
Show child attributes
⌘I